Skip to content

Retrieves a delivery log by ID

Request

GET {{baseURL}}/v2/webhooks/delivery-logs/{{deliveryLogId}}

This endpoint retrieves a delivery log by ID.

See Also:
To list all available webhooks, see GET /v2/webhooks/endpoints.
To test a webhook, see POST /v2/webhooks/endpoints/{{endpointId}}/ping.
To manually retry a webhook delivery attempt, see POST /v2/webhooks/delivery-logs/{{deliveryLogId}}/retry.

Security
Bearer
Path
deliveryLogIdstring, (uuid)required


Specifies the delivery log identifier to retrieve.

Example:30d1d958-cf5a-446c-be96-5a78b2220c19
curl -i -X GET \
  https://sandbox.api.flute.com/v2/webhooks/delivery-logs/30d1d958-cf5a-446c-be96-5a78b2220c19 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
deliveryLogIdstring, (uuid)

Indicates the webhook delivery log identifier to retrieve.

Example: 89a2c8d9-0e1f-4a2b-3c4d-5e6f7a8b9c25

Example:"89a2c8d9-0e1f-4a2b-3c4d-5e6f7a8b9c25"
endpointIdstring, (uuid)

Indicates the webhook endpoint identifier.

Example: 9ab3d9e0-1f2a-4b3c-4d5e-6f7a8b9c0d36

Example:"9ab3d9e0-1f2a-4b3c-4d5e-6f7a8b9c0d36"
endpointNamestring or null

Indicates the display name for the webhook.

This is a free-formed name that is convenient to recognize.

Example: Peppared Street Cafe's Reconciliation

Example:"Peppared Street Cafe's Reconciliation"
endpointUrlstring or null, <= 2048 characters

Indicates the HTTPS callback URL that receives webhook events.

Example: https://example.com/webhooks/pepparedstreetcafe

Example:"https://example.com/webhooks/pepparedstreetcafe"
eventIdstring, (uuid)

Indicates the event identifier.

Example: 399f9d7d-0714-453c-9b6d-dda836e1d8e6

Example:"399f9d7d-0714-453c-9b6d-dda836e1d8e6"
eventTypestring


Identifies events that are subscribed to.

Valid values are:

Wire valueMeaningGroup
api_key.createdAn API key was createdAPI Keys (affiliate only)
api_key.deletedAn API key was revoked or deletedAPI Keys (affiliate only)
invoice.createdA new invoice was createdInvoices
invoice.paidAn invoice was marked as paidInvoices
merchant.createdA new merchant account was createdMerchants (affiliate only)
payment_session.completedA payment session reached a terminal state (completed, failed, or canceled)Payment Sessions
payment_session.createdA payment session was createdPayment Sessions
quick_payment.createdA quick payment link was createdQuick Payments
quick_payment.paidA quick payment link was paidQuick Payments
settlement.batch.completedA batch settlement was processed and settledSettlement
subscription.createdA new subscription was createdSubscriptions
subscription.delinquentA subscription entered a delinquent state after repeated payment failuresSubscriptions
subscription.paidA subscription payment was successfully collectedSubscriptions
subscription.payment_failedA subscription payment attempt failedSubscriptions
terminal.addedA new terminal was registered to the accountTerminals
terminal.deactivatedA terminal was deactivated on the accountTerminals
terminal.out_of_paperA terminal paper roll is emptyTerminals
transaction.ach.cancelledAn ACH transaction was canceled before processingACH Transactions
transaction.ach.charged_backAn ACH transaction was returned or charged backACH Transactions
transaction.ach.clearedAn ACH transaction successfully clearedACH Transactions
transaction.ach.failedAn ACH transaction failed due to a processing errorACH Transactions
transaction.ach.heldAn ACH transaction was placed on hold for reviewACH Transactions
transaction.ach.in_progressAn ACH transaction was submitted to the networkACH Transactions
transaction.ach.refundedAn ACH transaction was refunded to the originatorACH Transactions
transaction.ach.scheduledAn ACH transaction was created and scheduledACH Transactions
transaction.card.authorizedA card payment authorization was approvedCard Transactions
transaction.card.capturedAn authorized card payment was capturedCard Transactions
transaction.card.declinedA card payment was declined by the issuerCard Transactions
transaction.card.failedA card payment failed due to a processing errorCard Transactions
transaction.card.refundedA card payment was refunded to the cardholderCard Transactions
transaction.card.voidedA card authorization was voided before captureCard Transactions

Examples:
null
[ "transaction.card.captured" ]
[ "transaction.card.captured", "transaction.card.authorized" ]

Enum:"api_key.created""api_key.deleted""invoice.created""invoice.paid""merchant.created""payment_session.completed""payment_session.created""quick_payment.created""quick_payment.paid""settlement.batch.completed"
Example:
[ "transaction.card.captured", "transaction.card.refunded", "settlement.batch.completed", null ]
attemptNumberinteger, (int32)

Indicates the current delivery attempt number for the webhook.

Example: 3

Example:3
deliveryLogStatusstring

Indicates the webhook delivery log status.

Valid values are:

StatusExplanation
FailureThe webhook delivery attempt did not succeed.
SuccessThe webhook delivery attempt succeeded.

Example: Success

Enum:"Success""Failure"
Example:"Success"
endpointHTTPResponseCodeinteger or null, (int32)

Indicates the HTTP response status code.

This is the HTTP status code returned by the attempted delivery.

The following is a list of HTTP response status codes that include but are not limited to:

HTTP StatusMeaning
200Delivery succeeded
400Bad request
401Unauthorized
404Endpoint not found
429Rate limited

Example: 200

Example:200
roundTripDurationMsinteger, (int32)

Indicates the round-trip duration (in milliseconds).

Example: 367

Example:367
errorMessagestring or null

Indicates an error message if the delivery failed.

Example: Recipient not available

Example:"Recipient not available"
createdOnstring, (date-time)

Indicates the date-time (in an ISO 8601 UTC date-time format) the webhook was created on.

Example: 2025-01-27T12:05:54.322Z

Example:"2025-01-27T12:05:54.322Z"
nextRetryAtstring or null, (date-time)

Indicates the timestamp (in an ISO 8601 date-time UTC format) of the next retry attempt.

This value may be null if an attempt succeeded or there is no next retry attempt.

Example: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
requestHeadersobject or null

Indicates an object describing the request headers.

requestBodystring or null

Indicates the request body.

responseHeadersobject or null

Indicates an object describing the response headers.

responseBodystring or null

Indicates the response body.

Response
{ "requestHeaders": { "Content-Type": "application/json", "X-Flute-Signature": "t=1746450622,v1=5257a869e7ecebeda32affa6c66e8fb5e5e64a50b9b3e8bbf9c1a8d8f5e9d0a1", "X-Flute-Event-Id": "0e991cfc-28cf-4558-8874-bf2bbee8a406", "X-Flute-Event-Type": "settlement.batch.completed" }, "requestBody": "{\"id\":\"8b7f1c87-c1da-48f7-82d1-426ae0960c53\",\"type\":\"settlement.batch.completed\",\"createdAt\":\"2026-05-05T13:10:00Z\",\"data\":{\"batchId\":\"617f9259-8900-4134-b035-c53dd5d9675e\",\"settledAmount\":12500.00}}", "responseHeaders": { "Content-Type": "text/plain", "Server": "nginx" }, "responseBody": "Service Unavailable", "nextRetryAt": "2026-05-05T13:25:22Z", "deliveryLogId": "98602c85-294d-4215-8e02-78c4458106d6", "endpointId": "fa48084e-ed38-46e3-b761-774b76d06de1", "endpointName": "Peppared Street Cafe's Reconciliation", "endpointUrl": "https://example.com/webhooks/pepparedstreetcafe", "eventId": "399f9d7d-0714-453c-9b6d-dda836e1d8e6", "eventType": "settlement.batch.completed", "attemptNumber": 3, "deliveryLogStatus": "Failure", "endpointHTTPResponseCode": 503, "roundTripDurationMs": 5012, "errorMessage": "Service Unavailable", "createdOn": "2026-05-05T13:10:22Z" }